Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class KEKRecipientInfo

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cms.KEKRecipientInfo

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class KEKRecipientInfo
extends ASN1Object

RFC 5652: Content encryption key delivery mechanisms.

KEKRecipientInfo ::= SEQUENCE { version CMSVersion, -- always set to 4 kekid KEKIdentifier, keyEncryptionAlgorithm KeyEncryptionAlgorithmIdentifier, encryptedKey EncryptedKey }

Constructor Summary
`KEKRecipientInfo(ASN1Sequence seq)`
`KEKRecipientInfo(KEKIdentifier kekid, AlgorithmIdentifier keyEncryptionAlgorithm, ASN1OctetString encryptedKey)`

Method Summary
`ASN1OctetString` | `getEncryptedKey()`
`static KEKRecipientInfo` | `getInstance(ASN1TaggedObject obj, boolean explicit)` Return a KEKRecipientInfo object from a tagged object.
`static KEKRecipientInfo` | `getInstance(java.lang.Object obj)` Return a KEKRecipientInfo object from the given object.
`KEKIdentifier` | `getKekid()`
`AlgorithmIdentifier` | `getKeyEncryptionAlgorithm()`
`ASN1Integer` | `getVersion()`
`ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KEKRecipientInfo

    public KEKRecipientInfo(KEKIdentifier kekid,
                            AlgorithmIdentifier keyEncryptionAlgorithm,
                            ASN1OctetString encryptedKey)

### KEKRecipientInfo

    public KEKRecipientInfo(ASN1Sequence seq)

Method Detail

### getInstance

    public static KEKRecipientInfo getInstance(ASN1TaggedObject obj,
                                               boolean explicit)

  Return a KEKRecipientInfo object from a tagged object.

  Parameters:
    `obj` - the tagged object holding the object we want.
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

### getInstance

    public static KEKRecipientInfo getInstance(java.lang.Object obj)

  Return a KEKRecipientInfo object from the given object.

  Accepted inputs: null → null `KEKRecipientInfo` object `ASN1Sequence` input formats with KEKRecipientInfo structure inside

  Parameters:
    `obj` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getVersion

    public ASN1Integer getVersion()

### getKekid

    public KEKIdentifier getKekid()

### getKeyEncryptionAlgorithm

    public AlgorithmIdentifier getKeyEncryptionAlgorithm()

### getEncryptedKey

    public ASN1OctetString getEncryptedKey()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Produce an object suitable for an ASN1OutputStream.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD